Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.output
Class ATermBaseRenderer

    java.lang.Object
      org.mindswap.pellet.output.ATermBaseVisitor
          org.mindswap.pellet.output.ATermBaseRenderer

All Implemented Interfaces:
  ATermRenderer, ATermVisitor

Direct Known Subclasses:
  ATermAbstractSyntaxRenderer

    public abstract class ATermBaseRenderer

extends ATermBaseVisitor
implements ATermRenderer

Base implementation of renderer interface to ease the implementation for different output formats.

Author:
  Evren Sirin

Field Summary

Fields inherited from class org.mindswap.pellet.output.ATermBaseVisitor
`OWL_NOTHING, OWL_THING`

Constructor Summary
`ATermBaseRenderer()`

Method Summary
`OutputFormatter` | `getWriter()`
`void` | `setWriter(OutputFormatter out)`
`void` | `setWriter(java.io.Writer out)`
`void` | `visitTerm(aterm.ATermAppl term)` Visit a primitive term (with no arguments) that stands for a URI.

Methods inherited from class org.mindswap.pellet.output.ATermBaseVisitor
`visit, visitList`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.output.ATermVisitor
`visit, visitAll, visitAnd, visitCard, visitHasValue, visitList, visitLiteral, visitMax, visitMin, visitNot, visitOneOf, visitOr, visitSelf, visitSome, visitValue`

Constructor Detail

### ATermBaseRenderer

    public ATermBaseRenderer()

Method Detail

### setWriter

    public void setWriter(OutputFormatter out)

  Specified by:
    `setWriter` in interface `ATermRenderer`

### getWriter

    public OutputFormatter getWriter()

  Specified by:
    `getWriter` in interface `ATermRenderer`

### setWriter

    public void setWriter(java.io.Writer out)

  Specified by:
    `setWriter` in interface `ATermRenderer`

### visitTerm

    public void visitTerm(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit a primitive term (with no arguments) that stands for a URI. This URI may belong to a class, a property, an individual or a datatype.

  Specified by:
    `visitTerm` in interface `ATermVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.